AOZ Studio Beta - Bug #72

And
01/22/2020 09:09 PM - Anonymous

Status: Closed Start date: 01/22/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 0:00 hour
Target version: 0.9.3.2

Affected version: 0.9.3.1

Description

"And" doesn't work any longer in this situation:

FLAGS=195

Print "flag1:"+Str$(FLAGS and 128)

Print "flag2:"+Str$(FLAGS and 64)

Print "flag3:"+Str$(FLAGS and 32)

Print "flag4(512chars):"+Str$(FLAGS and 16)
Print "flag5(nonblink):"+Str$(FLAGS and 8)
Print "flag6(compress):"+Str$(FLAGS and 4)
Print "flag7(a font):"+Str$(FLAGS and 2)
Print "flag8(a palette):"+Str$(FLAGS and 1)

History

#1 - 01/22/2020 09:13 PM - Anonymous

doh think i made a mistake something else is wrong, please delete :/

#2 - 01/22/2020 11:04 PM - Baptiste Pillot
- Assignee set to Francois Lionet
Not sure :

e source : https:/www.amos2.fr/ide/Amos2/Ide/Program/430
e run : https://www.amos2.fr/run/tickleman/72/

In 0.9.2.6, result was right :

flagl: 128
flag2: 64
flag3: 0

flag4 (512chars): O
flag5 (nonblink): 0O
flag6 (compress): 0O
flag7(a font): 2

flag8(a palette): 1

Butin 0.9.3.1, it's always 195 |

flagl: 195
flag2: 195
flag3: 195
flag4 (512chars): 195

(
flag5 (nonblink): 195
flag6 (compress): 195
flag7(a font): 195
flag8(a palette): 195
Not good for a binary and.

TODO )

#3 - 01/24/2020 06:43 AM - Francois Lionet
https://www.amos2.fr/ide/Amos2/Ide/Program/430
https://www.amos2.fr/run/tickleman/72/

- Status changed from New to Resolved

- Target version set to 0.9.3.2

Fixed: the first parameter was duplicated in the code...

#4 - 02/01/2020 08:35 AM - Baptiste Pillot

- Status changed from Resolved to Closed

Ok good.
